diff
1
20 Dec 1996
Copyright KDE

# kfoo

Performs a foo operation on files

## Synopsis

    kfoo
    Qt-options
    KDE-options
    options
    args

## Description

The `kfoo` utility performs foo operations on files specified on the command line, and writes the result to standard output.

More descriptive stuff.

## Options

`--bar`

  Use the bar method to foo the files

`--baz`

  Use the baz method to foo the files

The following options apply to all &kde; applications:

`--caption` `caption`

  Use `caption` as name in the titlebar.

`--icon` `icon`

  Use `icon` as the application icon.

`--miniicon` `icon`

  Use `icon` as the icon in the titlebar

`--dcopserver` `server`

  Use the DCOP Server specified by `server`.

`--nocrashhandler`

  Disable the crash handler, to get core dumps.

`--waitforwm`

  Waits for a WM_NET compatible windowmanager.

`--style` `style`

  Sets the appliction &GUI; style.

`--geometry` `geometry`

  Sets the client geometry of the main widget.

The following options apply to all &Qt; applications:

`--display` `displayname`

  Use the X-server display `displayname`.

`--session` `sessionId`

  Restore the application for the given `sessionId`.

`--cmap`

  Causes the application to install a private color map on an 8-bit display.

`--ncols` `count`

  Limits the number of colors allocated in the color cube on an 8-bit display, if the application is using the `QApplication::ManyColor` color specification.

`--nograb`

  Tells &Qt; to never grab the mouse or the keyboard.

`--dograb`

  Running under a debugger can cause an implicit `--nograb`, use `--dograb` to override.

`--sync`

  Switches to synchronous mode for debugging.

`--fn`,`--font` `fontname`

  Defines the application font.

`--bg`,`--background` `color`

  Sets the default background color and an application palette (light and dark shades are calculated).

`--fg`,`--foreground` `color`

  Sets the default foreground color

`--btn`,`--button` `color`

  Sets the default button color.

`--name` `name`

  Sets the application name.

`--title` `title`

  Sets the application title (caption).

`--visual` `TrueColor`

  Forces the application to use a `TrueColor` visual on an 8-bit display.

`--inputstyle` `inputstyle`

  Sets XIM (X Input Method) input style. Possible values are `onthespot`, `overthespot`, `offthespot` and `root`.

`--im` `XIM server`

  Set XIM server.

`--noxim`

  Disable XIM

## Arguments

The following arguments are supported

filename

  The filename to foo

## Usage

Use `kfoo` to do fabulous foo things to all your files.

More usage tips here.

## Examples

Some usage examples here

## Environment Variables

`kfoo` is affected by the following environment variables:

`BAR`

  Default to using bar to foo the files. This is the equivalent of always using the `--bar` option.

## Files

kfoo uses the following files:

`/path/to/rcfile`

  kfoo stores settings here.

`/path/to/tempfile`

  kfoo creates a temporary file here while it is operating.

## See Also

## Note

Any special notes